summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorjc_gargma <jc_gargma@iserlohn-fortress.net>2018-07-14 11:33:14 -0700
committerjc_gargma <jc_gargma@iserlohn-fortress.net>2018-07-14 11:33:14 -0700
commit2bdc24f50390b2e36ca9d12ba50357dfb3c572ee (patch)
tree59fbcc6c3488f315b2bb9cc51b126c9a00dd6bf5
downloadsysctl-openrc-repeat-2bdc24f50390b2e36ca9d12ba50357dfb3c572ee.tar.xz
Initial commit
-rw-r--r--PKGBUILD37
-rwxr-xr-xsysctl-v2.initd58
2 files changed, 95 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..288ec5f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: artoo <artoo@artixlinux.org>
+
+_url="https://raw.githubusercontent.com/gentoo/gentoo/master"
+
+pkgname=sysctl-v2-openrc
+pkgver=20180712
+pkgrel=1
+pkgdesc="OpenRC sysctl-v2 init script"
+arch=('any')
+url="https://github.com/artix-linux/packages"
+license=('GPL2')
+groups=('openrc-system')
+depends=('openrc')
+backup=('etc/init.d/sysctl-v2')
+source=("sysctl-v2.initd")
+sha256sums=('ed64389a37ad710aede890084d5e6886a807622f6eae341d32ab9fdda6f850a7')
+
+pkgver() {
+ date +%Y%m%d
+}
+
+_inst_initd(){
+ install -Dm755 ${srcdir}/$1.initd ${pkgdir}/etc/init.d/$1
+
+ sed -e 's|/var/run|/run|g' \
+ -e 's|#!/sbin/openrc-run|#!/usr/bin/openrc-run|g' \
+ -e 's|/usr/sbin|/usr/bin|g' \
+ -i ${pkgdir}/etc/init.d/$1
+}
+
+_inst_confd(){
+ install -Dm755 ${srcdir}/$1.confd ${pkgdir}/etc/conf.d/$1
+}
+
+package() {
+ _inst_initd 'sysctl-v2'
+}
diff --git a/sysctl-v2.initd b/sysctl-v2.initd
new file mode 100755
index 0000000..af17148
--- /dev/null
+++ b/sysctl-v2.initd
@@ -0,0 +1,58 @@
+#!/usr/bin/openrc-run
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
+
+depend()
+{
+ after clock
+ before bootmisc logger
+ keyword -prefix -systemd-nspawn -vserver
+}
+
+BSD_sysctl()
+{
+ [ -e /etc/sysctl.conf ] || return 0
+ local retval=0 var= comments= conf=
+ eindent
+ for conf in /etc/sysctl.conf /etc/sysctl.d/*.conf; do
+ if [ -r "$conf" ]; then
+ vebegin "applying $conf"
+ while read var comments; do
+ case "$var" in
+ ""|"#"*) continue;;
+ esac
+ sysctl -w "$var" >/dev/null || retval=1
+ done < "$conf"
+ veend $retval
+ fi
+ done
+ eoutdent
+ return $retval
+}
+
+Linux_sysctl()
+{
+ local quiet
+ yesno $rc_verbose || quiet=-q
+
+ sysctl ${quiet} --system
+}
+
+start()
+{
+ local rc=0
+
+ ebegin "Configuring kernel parameters"
+ case "$RC_UNAME" in
+ *BSD|GNU) BSD_sysctl; rc=$? ;;
+ Linux) Linux_sysctl; rc=$? ;;
+ esac
+ eend $rc "Unable to configure some kernel parameters"
+}